VisualEditor: Math editor is called LaTeX, but that is not accurate and possibly confusing
Closed, ResolvedPublic

Description

The editor has the title and tooltip "LaTeX". This is not entirely correct. It's just the math environment subset for LaTeX that we can handle and support.

The label also conflicts with the visual symbol, which clearly communicates the Math function using the sum symbol. Remember that many people might not even know what LaTeX even is, causing further confusion.

The problem here is that we want to explain to the user that we want him to enter the math using LaTeX, because otherwise he might not understand how to enter his formula. Perhaps that is why the LaTeX label was chosen.

We should find a better way. Perhaps using a label or placeholder. "Enter formula using AMS-LaTeX"


Version: unspecified
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=43058

bzimport set Reference to bz53251.
TheDJ created this task.Via LegacyAug 23 2013, 10:02 AM
Jdforrester-WMF added a comment.Via ConduitNov 26 2013, 7:43 PM

I'm minded to just call it "Formula". Thoughts?

gerritbot added a comment.Via ConduitDec 7 2013, 2:33 AM

Change 100112 had a related patch set uploaded by Jforrester:
Re-label the formula inspector to not be LaTeX

https://gerrit.wikimedia.org/r/100112

gerritbot added a comment.Via ConduitDec 11 2013, 11:12 PM

Change 100112 merged by jenkins-bot:
Re-label the formula inspector to not be LaTeX

https://gerrit.wikimedia.org/r/100112

Ryasmeen added a comment.Via ConduitDec 12 2013, 1:05 AM

I am still seeing label Latex instead of Formula

TheDJ added a comment.Via ConduitDec 12 2013, 1:08 AM

@Ryasmeen Fixed != deployed to production. That happens at a later time, usually somewhere within 2 weeks after getting fixed.

Ryasmeen added a comment.Via ConduitDec 12 2013, 1:10 AM

okay but I checked it on Betalabs.

Jdforrester-WMF added a comment.Via ConduitDec 12 2013, 4:06 AM

This is now fixed in betalabs after we caused the English messages to get re-synched.

Ryasmeen added a comment.Via ConduitDec 12 2013, 5:08 AM

Verified in Betalabs

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.